Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.number
Interface Numberer

All Known Implementing Classes:
  Numberer_en

public interface Numberer

Interface Numberer supports number formatting. There is a separate implementation for each language, e.g. Numberer_en for English. This supports the xsl:number element

Method Summary
`java.lang.String` | `dayName(int day, int minWidth, int maxWidth)` Get a day name or abbreviation
`java.lang.String` | `format(long number, java.lang.String picture, int groupSize, java.lang.String groupSeparator, java.lang.String letterValue, java.lang.String ordinal)` Format a number into a string
`java.lang.String` | `getEraName(int year)` Get the name for an era (e.g.
`java.lang.String` | `getOrdinalSuffixForDateTime(java.lang.String component)` Get an ordinal suffix for a particular component of a date/time.
`java.lang.String` | `getTimezoneName(int tz)` Get the name of a timezone
`java.lang.String` | `halfDayName(int minutes, int minWidth, int maxWidth)` Get an am/pm indicator
`java.lang.String` | `monthName(int month, int minWidth, int maxWidth)` Get a month name or abbreviation
`void` | `setCountry(java.lang.String country)` Set the country used by this numberer (currenly used only for names of timezones)

Method Detail

### setCountry

    public void setCountry(java.lang.String country)

  Set the country used by this numberer (currenly used only for names of timezones)

### format

    public java.lang.String format(long number,
                                   java.lang.String picture,
                                   int groupSize,
                                   java.lang.String groupSeparator,
                                   java.lang.String letterValue,
                                   java.lang.String ordinal)

  Format a number into a string

  Parameters:
    `number` - The number to be formatted
    `picture` - The format token. This is a single component of the format attribute of xsl:number, e.g. "1", "01", "i", or "a"
    `groupSize` - number of digits per group (0 implies no grouping)
    `groupSeparator` - string to appear between groups of digits
    `letterValue` - The letter-value specified to xsl:number: "alphabetic" or "traditional". Can also be an empty string or null.
    `ordinal` - The value of the ordinal attribute specified to xsl:number The value "yes" indicates that ordinal numbers should be used; "" or null indicates that cardinal numbers
  Returns:
    the formatted number. Note that no errors are reported; if the request is invalid, the number is formatted as if the string() function were used.

### monthName

    public java.lang.String monthName(int month,
                                      int minWidth,
                                      int maxWidth)

  Get a month name or abbreviation

  Parameters:
    `month` - The month number (1=January, 12=December)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### dayName

    public java.lang.String dayName(int day,
                                    int minWidth,
                                    int maxWidth)

  Get a day name or abbreviation

  Parameters:
    `day` - The month number (1=Monday, 7=Sunday)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### halfDayName

    public java.lang.String halfDayName(int minutes,
                                        int minWidth,
                                        int maxWidth)

  Get an am/pm indicator

  Parameters:
    `minutes` - the minutes within the day
    `minWidth` - minimum width of output
    `maxWidth` - maximum width of output
  Returns:
    the AM or PM indicator

### getOrdinalSuffixForDateTime

    public java.lang.String getOrdinalSuffixForDateTime(java.lang.String component)

  Get an ordinal suffix for a particular component of a date/time.

  Parameters:
    `component` - the component specifier from a format-dateTime picture, for example "M" for the month or "D" for the day.
  Returns:
    a string that is acceptable in the ordinal attribute of xsl:number to achieve the required ordinal representation. For example, "-e" for the day component in German, to have the day represented as "dritte August".

### getEraName

    public java.lang.String getEraName(int year)

  Get the name for an era (e.g. "BC" or "AD")

  Parameters:
    `year` - the proleptic gregorian year, using "0" for the year before 1AD

### getTimezoneName

    public java.lang.String getTimezoneName(int tz)

  Get the name of a timezone

  Parameters:
    `tz` - the offset of the timezone from GMT in minutes

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD